//analog.h
//Analog input polling for JVS-Bridge analog variants
//Bryan E. Topp <bet@tucsonlogic.com> 2020

#include <stdint.h>

//Initializes analog inputs, if the firmware variant has them.
void analog_init(void);

//Updates polling of ADC, if the firmware variant uses it.
void analog_update(void);

//Returns the state of the given analog channel, or 0x8000 (neutral) if the firmware variant doesn't use it.
uint16_t analog_get(uint8_t ch);
