//coinage.c
//Coin counting for JVS Bridge
//Bryan E. Topp <betopp@betopp.com> 2020
#ifndef COINAGE_H
#define COINAGE_H

#include <stdint.h>

//Adds the specified number of coins to the given slot's total.
void coinage_add(uint8_t slot, uint16_t amount);

//Removes the specified number of coins from the given slot's total.
void coinage_sub(uint8_t slot, uint16_t amount);

//Returns the number of coins presently in the given slot's total.
uint16_t coinage_get(uint8_t slot);

//Reads the coinage switches and handles pulses for new coins.
void coinage_update();

//Resets the total to 0 on the given slot.
void coinage_zero(uint8_t slot);

#endif //COINAGE_H
