//commands.h
//Processing of USB-UART input commands for JVS-Bridge
//Bryan E. Topp <betopp@betopp.com> 2020
#ifndef COMMANDS_H
#define	COMMANDS_H

#include <stdint.h>

//Initializes commands handling. Requires commhw_init to be called first.
void commands_init();

//Updates command processing.
void commands_update();

//Returns the current "system switches" byte.
uint8_t commands_getsyssw();

//Returns the current given "user switches" byte.
uint8_t commands_getusrsw(uint8_t user, uint8_t bytenum);

//Returns the current given analog axis, 16 bits, center at 0x8000
uint16_t commands_getanalog(uint8_t channel);

//Buffers a line of debug output to send back to the PC
void commands_bufmsg(const char *message);

#endif	//COMMANDS_H

